/*
 * This file is automagically created from comm.c -- DO NOT EDIT
 */

#ifndef SCREEN_COMM_H
#define SCREEN_COMM_H

#include "acls.h"

struct comm
{
  char *name;
  int flags;
  AclBits userbits[ACL_BITS_PER_CMD];
};

extern struct comm comms[];

#define ARGS_MASK	(3)

#define ARGS_0	(0)
#define ARGS_1	(1)
#define ARGS_2	(2)
#define ARGS_3	(3)

#define ARGS_PLUS1	(1<<2)
#define ARGS_PLUS2	(1<<3)
#define ARGS_PLUS3	(1<<4)
#define ARGS_ORMORE	(1<<5)

#define NEED_FORE	(1<<6)	/* this command needs a fore window */
#define NEED_DISPLAY	(1<<7)	/* this command needs a display */
#define NEED_LAYER	(1<<8)	/* this command needs a layer */
#define CAN_QUERY	(1<<9)  /* this command can be queried, i.e. used with -Q to
				   get back a result to stdout */

#define ARGS_01		(ARGS_0 | ARGS_PLUS1)
#define ARGS_02		(ARGS_0 | ARGS_PLUS2)
#define ARGS_12		(ARGS_1 | ARGS_PLUS1)
#define ARGS_23		(ARGS_2 | ARGS_PLUS1)
#define ARGS_24		(ARGS_2 | ARGS_PLUS2)
#define ARGS_34		(ARGS_3 | ARGS_PLUS1)
#define ARGS_012	(ARGS_0 | ARGS_PLUS1 | ARGS_PLUS2)
#define ARGS_0123	(ARGS_0 | ARGS_PLUS1 | ARGS_PLUS2 | ARGS_PLUS3)
#define ARGS_123	(ARGS_1 | ARGS_PLUS1 | ARGS_PLUS2)
#define ARGS_124	(ARGS_1 | ARGS_PLUS1 | ARGS_PLUS3)
#define ARGS_1234	(ARGS_1 | ARGS_PLUS1 | ARGS_PLUS2 | ARGS_PLUS3)

struct action
{
  int nr;
  char **args;
  int *argl;
  int quiet;	/* Suppress (currently unused)
		   0x01 - Error message
		   0x02 - Normal message
		*/
};

#define RC_ILLEGAL -1

#endif /* SCREEN_COMM_H */

#define RC_ACLADD 0
#define RC_ACLCHG 1
#define RC_ACLDEL 2
#define RC_ACLGRP 3
#define RC_ACLUMASK 4
#define RC_ACTIVITY 5
#define RC_ADDACL 6
#define RC_ALLPARTIAL 7
#define RC_ALTSCREEN 8
#define RC_AT 9
#define RC_AUTODETACH 10
#define RC_AUTONUKE 11
#define RC_BACKTICK 12
#define RC_BCE 13
#define RC_BELL 14
#define RC_BELL_MSG 15
#define RC_BIND 16
#define RC_BINDKEY 17
#define RC_BLANKER 18
#define RC_BLANKERPRG 19
#define RC_BREAK 20
#define RC_BREAKTYPE 21
#define RC_BUFFERFILE 22
#define RC_BUMPLEFT 23
#define RC_BUMPRIGHT 24
#define RC_C1 25
#define RC_CAPTION 26
#define RC_CHACL 27
#define RC_CHARSET 28
#define RC_CHDIR 29
#define RC_CJKWIDTH 30
#define RC_CLEAR 31
#define RC_COLLAPSE 32
#define RC_COLON 33
#define RC_COMMAND 34
#define RC_COMPACTHIST 35
#define RC_CONSOLE 36
#define RC_COPY 37
#define RC_CRLF 38
#define RC_DEFAUTONUKE 39
#define RC_DEFBCE 40
#define RC_DEFBREAKTYPE 41
#define RC_DEFC1 42
#define RC_DEFCHARSET 43
#define RC_DEFDYNAMICTITLE 44
#define RC_DEFENCODING 45
#define RC_DEFESCAPE 46
#define RC_DEFFLOW 47
#define RC_DEFGR 48
#define RC_DEFHSTATUS 49
#define RC_DEFKANJI 50
#define RC_DEFLOG 51
#define RC_DEFMODE 52
#define RC_DEFMONITOR 53
#define RC_DEFMOUSETRACK 54
#define RC_DEFNONBLOCK 55
#define RC_DEFOBUFLIMIT 56
#define RC_DEFSCROLLBACK 57
#define RC_DEFSHELL 58
#define RC_DEFSILENCE 59
#define RC_DEFSLOWPASTE 60
#define RC_DEFUTF8 61
#define RC_DEFWRAP 62
#define RC_DEFWRITELOCK 63
#define RC_DETACH 64
#define RC_DIGRAPH 65
#define RC_DINFO 66
#define RC_DISPLAYS 67
#define RC_DUMPTERMCAP 68
#define RC_DYNAMICTITLE 69
#define RC_ECHO 70
#define RC_ENCODING 71
#define RC_ESCAPE 72
#define RC_EVAL 73
#define RC_EXEC 74
#define RC_FIT 75
#define RC_FLOW 76
#define RC_FOCUS 77
#define RC_FOCUSMINSIZE 78
#define RC_GR 79
#define RC_GROUP 80
#define RC_HARDCOPY 81
#define RC_HARDCOPY_APPEND 82
#define RC_HARDCOPYDIR 83
#define RC_HARDSTATUS 84
#define RC_HEIGHT 85
#define RC_HELP 86
#define RC_HISTORY 87
#define RC_HSTATUS 88
#define RC_IDLE 89
#define RC_IGNORECASE 90
#define RC_INFO 91
#define RC_KANJI 92
#define RC_KILL 93
#define RC_LASTMSG 94
#define RC_LAYOUT 95
#define RC_LICENSE 96
#define RC_LOCKSCREEN 97
#define RC_LOG 98
#define RC_LOGFILE 99
#define RC_LOGTSTAMP 100
#define RC_MAPDEFAULT 101
#define RC_MAPNOTNEXT 102
#define RC_MAPTIMEOUT 103
#define RC_MARKKEYS 104
#define RC_META 105
#define RC_MONITOR 106
#define RC_MOUSETRACK 107
#define RC_MSGMINWAIT 108
#define RC_MSGWAIT 109
#define RC_MULTIINPUT 110
#define RC_MULTIUSER 111
#define RC_NEXT 112
#define RC_NONBLOCK 113
#define RC_NUMBER 114
#define RC_OBUFLIMIT 115
#define RC_ONLY 116
#define RC_OTHER 117
#define RC_PARTIAL 118
#define RC_PASTE 119
#define RC_PASTEFONT 120
#define RC_POW_BREAK 121
#define RC_POW_DETACH 122
#define RC_POW_DETACH_MSG 123
#define RC_PREV 124
#define RC_PRINTCMD 125
#define RC_PROCESS 126
#define RC_QUIT 127
#define RC_READBUF 128
#define RC_READREG 129
#define RC_REDISPLAY 130
#define RC_REGISTER 131
#define RC_REMOVE 132
#define RC_REMOVEBUF 133
#define RC_RENDITION 134
#define RC_RESET 135
#define RC_RESIZE 136
#define RC_SCREEN 137
#define RC_SCROLLBACK 138
#define RC_SELECT 139
#define RC_SESSIONNAME 140
#define RC_SETENV 141
#define RC_SETSID 142
#define RC_SHELL 143
#define RC_SHELLTITLE 144
#define RC_SILENCE 145
#define RC_SILENCEWAIT 146
#define RC_SLEEP 147
#define RC_SLOWPASTE 148
#define RC_SORENDITION 149
#define RC_SORT 150
#define RC_SOURCE 151
#define RC_SPLIT 152
#define RC_STARTUP_MESSAGE 153
#define RC_STATUS 154
#define RC_STUFF 155
#define RC_SU 156
#define RC_SUSPEND 157
#define RC_TERM 158
#define RC_TERMCAP 159
#define RC_TERMCAPINFO 160
#define RC_TERMINFO 161
#define RC_TIME 162
#define RC_TITLE 163
#define RC_TRUECOLOR 164
#define RC_UMASK 165
#define RC_UNBINDALL 166
#define RC_UNSETENV 167
#define RC_UTF8 168
#define RC_VBELL 169
#define RC_VBELL_MSG 170
#define RC_VBELLWAIT 171
#define RC_VERBOSE 172
#define RC_VERSION 173
#define RC_WALL 174
#define RC_WIDTH 175
#define RC_WINDOWLIST 176
#define RC_WINDOWS 177
#define RC_WRAP 178
#define RC_WRITEBUF 179
#define RC_WRITELOCK 180
#define RC_XOFF 181
#define RC_XON 182
#define RC_ZMODEM 183
#define RC_ZOMBIE 184
#define RC_ZOMBIE_TIMEOUT 185

#define RC_LAST 185
